/****************************************************************************
*   COPYRIGHT 2017 All rights reserved
*   Panasonic Industrial Devices Europe GmbH
****************************************************************************/

#ifndef __TYPES_H__
#define __TYPES_H__

/**
* @file types.h
* @brief Header file that contains all includes for system-specific header files.
* @details This header files contains all includes for system-specific header files,
* especially the ones for defining the types like uint8_t.
*
**/

#include <windows.h>
#include <process.h>
#include <tchar.h>
#include <assert.h>
#include <stdarg.h>
#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>

/* fixme */
#define __weak

#endif
